////////////////////////////////////////////////////////////////////////////
// ar_parm.h
////////////////////////////////////////////////////////////////////////////

#ifndef _ar_parm_h_
#define _ar_parm_h_

extern float M_cap_l[6];
extern float M_cap_r[6];

extern float s_cap_crop_lx;
extern float s_cap_crop_ly;
extern float s_cap_crop_rx;
extern float s_cap_crop_ry;
extern float s_cap_crop_w;
extern float s_cap_crop_h;

// Output frame mapping.  These values give the corners of a
// quadralateral that the captured video frames will be mapped
// to.  Ordering is 1. lower-left, 2. lower-right, 3. upper-right, 4. upper-left.
// These were found using the "calibrate" code that was processed with
// matlab scripts to find the mapping.

// Left Eye
extern float s_rend_vid_lx1;
extern float s_rend_vid_ly1;
extern float s_rend_vid_lx2;
extern float s_rend_vid_ly2;
extern float s_rend_vid_lx3;
extern float s_rend_vid_ly3;
extern float s_rend_vid_lx4;
extern float s_rend_vid_ly4;

// Right Eye
extern float s_rend_vid_rx1;
extern float s_rend_vid_ry1;
extern float s_rend_vid_rx2;
extern float s_rend_vid_ry2;
extern float s_rend_vid_rx3;
extern float s_rend_vid_ry3;
extern float s_rend_vid_rx4;
extern float s_rend_vid_ry4;

void ar_parm_map1(float x, float y, float *out_x, float *out_y, float *M);
void ar_parm_get_s_rend(int Nx, int Ny);
void ar_parm_make_ideal_map(int w, int h);

#endif
