#ifndef _aruco_h_
#define _aruco_h_

#include "fifo.h"

#define ARUCO_MAX_IDS                   8
#define ARUCO_TAG_MAX_AGE               1000
#define ARUCO_BUFFER_DEPTH              16
#define ARUCO_BUFFER_DEPTH_MASK         (ARUCO_BUFFER_DEPTH-1)
#define NUM_ARUCO_FRAMES                8

typedef struct
{
    int valid;
    float x[4];
    float y[4];
    struct timespec t;
} arucoPosDef;

typedef struct
{
    struct timespec t;
    uint8_t data[1];
} arucoFrameDef;

int arucoInit(int tag_dict, int w, int h);
void arucoUninit();
//int arucoDetect(unsigned char *img_data, arucoPosDef *tags);
//void arucoTagsLock();
//void arucoTagsUnlock();
void arucoGetTagCorners(int id,
                        arucoPosDef *pos_L, arucoPosDef *pos_R,
                        struct timespec *t);
void arucoProfilePrint();

// Public fifos used to send frame data to the Aruco detection thread.
extern fifoDef *arucoCapFifoL, *arucoCapFifoR;
extern volatile int arucoFifosReady;

#endif
