////////////////////////////////////////////////////////////////////////////
// cudaRender.h
////////////////////////////////////////////////////////////////////////////

#ifndef _cudaRender_h_
#define _cudaRender_h_

#include <GLFW/glfw3.h>

int crInit(GLuint tex_cam, GLuint tex_x11);
void crLoadFrames(void *cam_frame, void *x11_frame);
void crRemapFrames(uint8_t *gpuFrameLR);
void crUninit();

void crFindDot(int *xl, int *yl, int *xr, int *yr, void *gpuCamFrameRgba);
int crFindGreenDotInit();
void crFindGreenDotUninit();
void crLoadCamRaw(void *cam_frame);
void crDeinterlace();
void crMemcpyD2H(void *dest, void *src, size_t size);
void crMemcpyH2D2(void *dest, void *src, size_t size);
int crMalloc(void **ptr, size_t size);
void crFree(void *ptr);
void crLoadX11Frame(void *x11_frame);
void crRemapX11Frame();

extern void *gpuCamRawFrameL, *gpuCamRawFrameR, *gpuCamFrame;
extern void *crHostBuffer;

#endif



