////////////////////////////////////////////////////////////////////////////
// gaugeCards.h
////////////////////////////////////////////////////////////////////////////

#ifndef _gaugeCards_h_
#define _gaugeCards_h_

#define MAX_CARDS       4
#define MAX_GAUGES      8

// Single card in an instrument.  All units here are pixels.
typedef struct
{
    // Width, height
    double w, h;
    // Global center point (relative to base bitmap)
    double xg, yg;
    // Local center point
    double xl, yl;
    // Card PNG filename
    char *img_name;
    // Image binary data
    unsigned char *image;

    // Texture information
    GLuint textureID;

    // Current rotation and offset
    double rot;
    double xo, yo;
    
} cardDef;
    
typedef struct
{
    // Number of cards
    int N;

    // Position, scale, rotation of gauge
    double x, y, scale_x, scale_y, rot;
    
    // Card definitions
    cardDef cards[MAX_CARDS];

} gaugeDef;

int gcInit();
void gcUninit();
void gcRenderGauge(int gauge_idx, glhFbDef *fb);

extern int gcGaugeCount;
extern gaugeDef gcGauges[MAX_GAUGES];

#endif
