////////////////////////////////////////////////////////////////////////////
// glh.h
////////////////////////////////////////////////////////////////////////////

#ifndef _glh_h_
#define _glh_h_

#include <GLFW/glfw3.h>
#include <openvr/openvr.h>

using namespace vr;

typedef struct
{
    uint32_t width;
    uint32_t height;
    uint32_t mipmap;
    GLuint tex_id;
    GLuint fbo_id;
    GLuint rbo_id;
    Texture_t tex;
} glhFbDef;

int glhFbNew(glhFbDef *fb, uint32_t width, uint32_t height, int rend_flag, int bgra, unsigned char *data=0, uint32_t mipmap=0);
int glhFbFree(glhFbDef *fb);
int glhFbWrite(glhFbDef *fb, void *data);
int glhFbCpuWrite(glhFbDef *fb, void *data);
int glhFbCpuRead(glhFbDef *fb, void *data, int bufsize);
int glhFbCopyRect(glhFbDef *fb_src, glhFbDef *fb_dest,
                  float src_x, float src_y, float src_w, float src_h,
                  float dst_x, float dst_y, float dst_w, float dst_h,
                  int do_clear, int do_flip);
int glhFbCopyQuad(glhFbDef *fb_src, glhFbDef *fb_dest,
                  float src_x, float src_y, float src_w, float src_h,
                  float dst_x1, float dst_y1,
                  float dst_x2, float dst_y2,
                  float dst_x3, float dst_y3,
                  float dst_x4, float dst_y4,
                  int do_clear, int do_flip);
int glhFbCopyQuadTex(GLuint tex_id, glhFbDef *fb_dest,
                  float src_x, float src_y, float src_w, float src_h,
                  float dst_x1, float dst_y1,
                  float dst_x2, float dst_y2,
                  float dst_x3, float dst_y3,
                  float dst_x4, float dst_y4,
                  int do_clear, int do_flip);
void glhDrawQuad(glhFbDef *fb, float x[], float y[]);

#endif

