////////////////////////////////////////////////////////////////////////////
// log.cc
//     Code to support sending log messages at different levels.
//
// Author: Jon W. Wallace, Lafayette College
// Date:   May 2020
////////////////////////////////////////////////////////////////////////////

#include <stdio.h>
#include <stdarg.h>

#include "log.h"

static log_level_enum log_report_level = log_error;
void log_init(log_level_enum report_level)
{
    log_report_level = report_level;
}

void log_printf(log_level_enum level, const char *logStr, ...)
{
    va_list vaList;

    if (level <= log_report_level)
    {
        va_start(vaList, logStr);
        vfprintf(stderr, logStr, vaList);
        fflush(stderr);
    }
}

