////////////////////////////////////////////////////////////////////////////
// main.h
////////////////////////////////////////////////////////////////////////////

#ifndef _main_h_
#define _main_h_

// Only define one of these to control where Aruco image data is
// being taken from.  If you use the process thread, you have the
// advantage of using GPU accelerations, with the cost of a small
// amount of latency added to the process loop.

//#define CAPTURE_SEND_ARUCO
#define PROCESS_SEND_ARUCO

#include <unistd.h>

typedef struct
{
    int do_profile;
    int do_x_output;
    int no_undistort;
    int cap_width, cap_height;
    char cap_dev[64];
    int x_wid;
    int quiet;
    int log_level;
    int render_width, render_height;
    int render_x11, render_vr;
    int render_file;
    char render_file_type;
    char render_file_fname[128];
    const char *render_file_options;
    float render_clip;
    int gpu;
    int green_screen;
    int fg_hmd_port;
    int fg_stat_port;
    int inst_panel;
    int inst_panel_aruco_dict;
    int skip_time;
    int xplane;
    
} mainOptionsDef;

extern mainOptionsDef mainOptions;
extern volatile int stopping;

#define WAIT_SHORT      usleep(1000)
#define WAIT_LONG       usleep(200000)

#endif
