////////////////////////////////////////////////////////////////////////////
// render_file.cc
//      Code to support rendering processed RGBA frames to a file.  Uses
//      the NVENC interface to allow a very low datarate to disk.
//
// Author: Jon W. Wallace, Lafayette College
// Date:   May 2020
////////////////////////////////////////////////////////////////////////////

#include <inttypes.h>

#include "nve.h"
#include "render_file.h"
#include "log.h"
#include "glh.h"

int renderFileInit(const char *fname, int width, int height, const char *options)
{
    if (nveInit(fname, width, height, options) != 0)
    {
        log_printf(log_error, "Unable to initialize NVE.\n");
        goto backout_base;
    }

    return(0);

 backout_base:
    return(-1);
}

int renderFileTexture(glhFbDef *fb)
{
    return(nveEncode(fb));
}

void renderFileUninit()
{
    nveUninit();
}

    
