////////////////////////////////////////////////////////////////////////////
// vr_helper.h
////////////////////////////////////////////////////////////////////////////

#ifndef _vr_helper_h_
#define _vr_helper_h_

#include <openvr/openvr.h>

#include "glh.h"

using namespace vr;

typedef struct
{
    float x, y, z;
    float Y, P, R;
} vrhYprPoseDef;

int vrhCameraCalStart();
void vrhCameraCalSample(uint32_t *cap_data, uint32_t *cap_data_gpu, int cap_w, int cap_h, glhFbDef *fb_l, glhFbDef *fb_r);
void vrhCameraCalEnd();
void vrhSetPilotOrigin(HmdMatrix34_t &matrix);
int vrhInit(IVRSystem *pVr_in);
void vrhUninit();
int vrhUpdatePose();
void vrhComputeHmdYprPose(vrhYprPoseDef *pose);
void vrhDrawSceneryCockpit(glhFbDef *fb_dest, glhFbDef *fb_src, int left_eye);
void vrhDrawMarker(glhFbDef *fb_l, glhFbDef *fb_r, uint32_t *cam_data, uint32_t *cam_data_gpu, uint32_t cap_w, uint32_t cap_h);
void pilotTrans(float x, float y, float z);
void pilotRotX(float th);
void pilotRotY(float th);
void pilotRotZ(float th);

// Made extern to allow render to adjust it.
extern float vrhPilotOffset[3];

#endif
