////////////////////////////////////////////////////////////////////////////
// xplaneXfer.h
////////////////////////////////////////////////////////////////////////////

#ifndef _xplaneXfer_h_
#define _xplaneXfer_h_

// Shared memory structure.  Note this has to match the datafile
// given to the dataref server.
typedef struct
{
    struct 
    {
        float engine_speed_rpm;
        float altitude_ft_pilot;
        float airspeed_kts_pilot;
    } r;

    struct
    {
        float pilots_head_x;
        float pilots_head_y;
        float pilots_head_z;
        float pilots_head_psi;
        float pilots_head_the;
        float field_of_view_roll_deg;
    } w;
} xplaneShmDef;

extern xplaneShmDef xplane_shm_local;

int xplaneXferInit();
void xplaneXferUninit();
void xplaneXferPut();
void xplaneXferGet();

#endif // _xplaneXfer_h_
